;Australian desert scene
;Glider -  high altitude launch
;with thermals
[Main]
ShortTitle=Windmills Scenery
ThumbnailFile=windmsce.bmp
Description1=Runway in middle of windmill farm-
Description2=windmills are animated.
Description3=steady wind.
Author=Transcendental Technologies
EmailAddr=ttransce@bigpond.net.au
Website=http://www.users.bigpond.net.au/atv/preflight001.htm
WindowBackgroundColorR=0.8
WindowBackgroundColorG=0.8
WindowBackgroundColorB=1.0
ZoomWindowBackgroundColorR=SColZwR
ZoomWindowBackgroundColorG=SColZwG
ZoomWindowBackgroundColorB=SColZwB
FogPresent=SFogPre
FogStart=SFogSta
FogEnd=SFogEnd
FOV=SViewFV
SceneViewMode=SColZwP
TimeFactor=STimFac
MinimumCalcsPerSecond=STimCal
SoundRolloffFactor=.5
LowDetail=0

;Quick Parameters can be set up for anything you want to modify - quick!
; max pages=30, max parms per page = 12 if you need more than 12
; make a page called "Longpage(2)" and continue.  Use SortName parameter
; to control sequence within page.
QPPageNumber=5
[QuickParameters]
STimFac
STimCal
SFogPre
SFogSta
SFogEnd
SColLtR
SColLtG
SColLtB
SColZwP
SColZwR
SColZwG
SColZwB
SMModLX
SMModLY
SMModLZ
SMModVX
SMModVY
SMModVZ
SMModRX
SMModRY
SMModRZ
SMModWX
SMModWY
SMModWZ
SViewLX
SViewLY
SViewLZ
SViewFV
SWindWd
SWindGE

[SWindWd]
TabName=Wind Effects
SortName=AAA
Prompt=Wind Speed
DefaultValue=1.5
CurrentValue=1.500000

[SWindGE]
TabName=Wind Effects
Prompt=Simulated ground effect
DefaultValue=0.0
CurrentValue=0.000000

[STimFac]
TabName=Timing and Calculations
Prompt=Time Factor
DefaultValue=1.0
CurrentValue=1.000000

[STimCal]
TabName=Timing and Calculations
SortName=aaa
Prompt=Minimum Calculations Per Second
DefaultValue=120
CurrentValue=120.000000

[SFogPre]
TabName=Effects
SortName=aaa
Prompt=Fog Present (0 for No)
DefaultValue=1.0
CurrentValue=1.000000

[SFogSta]
TabName=Effects
SortName=bbb
Prompt=Fog Start
DefaultValue=1.0
CurrentValue=1.000000

[SFogEnd]
TabName=Effects
SortName=ccc
Prompt=Fog End
DefaultValue=3500.0
CurrentValue=3500.000000

[SViewFV]
TabName=View
SortName=zzz
Prompt=Viewer FOV (Field of Vision - radians)
DefaultValue=0.75
CurrentValue=0.750000

[SViewLX]
TabName=View
Prompt=Viewer Location - X
DefaultValue=1.0
CurrentValue=1.000000

[SViewLY]
TabName=View
Prompt=Viewer Location - Y
DefaultValue=2.0
CurrentValue=2.000000

[SViewLZ]
TabName=View
Prompt=Viewer Location - Z
DefaultValue=-3.0
CurrentValue=-3.000000

[SMModWX]
TabName=Main Model (Initial Conditions)
Prompt=Rotational Speed - X
DefaultValue=0.0
CurrentValue=0.000000

[SMModWY]
TabName=Main Model (Initial Conditions)
Prompt=Rotational Speed - Y
DefaultValue=0.0
CurrentValue=0.000000

[SMModWZ]
TabName=Main Model (Initial Conditions)
Prompt=Rotational Speed - Z
DefaultValue=0.0
CurrentValue=0.000000

[SMModRX]
TabName=Main Model (Initial Conditions)
Prompt=Rotation - X
DefaultValue=0.0
CurrentValue=0.000000

[SMModRY]
TabName=Main Model (Initial Conditions)
Prompt=Rotation - Y
DefaultValue=0.0
CurrentValue=0.000000

[SMModRZ]
TabName=Main Model (Initial Conditions)
Prompt=Rotation - Z
DefaultValue=0.0
CurrentValue=0.000000

[SMModVX]
TabName=Main Model (Initial Conditions)
Prompt=Speed - X
DefaultValue=0.0
CurrentValue=0.000000

[SMModVY]
TabName=Main Model (Initial Conditions)
Prompt=Speed - Y
DefaultValue=0.0
CurrentValue=0.000000

[SMModVZ]
TabName=Main Model (Initial Conditions)
Prompt=Speed - Z
DefaultValue=0.0
CurrentValue=0.000000

[SMModLX]
TabName=Main Model (Initial Conditions)
Prompt=Location - X
DefaultValue=0.0
CurrentValue=0.000000

[SMModLY]
TabName=Main Model (Initial Conditions)
Prompt=Location - Y (Altitude)
DefaultValue=0.2
CurrentValue=0.200000

[SMModLZ]
TabName=Main Model (Initial Conditions)
Prompt=Location - Z
DefaultValue=0.0
CurrentValue=0.000000

[SColLtR]
TabName=Lighting
SortName=aaa
Prompt=Light Color - Red Component
DefaultValue=1.0
CurrentValue=1.100000

[SColLtG]
TabName=Lighting
SortName=bbb
Prompt=Light Color - Green Component
DefaultValue=1.0
CurrentValue=1.030000

[SColLtB]
TabName=Lighting
SortName=ccc
Prompt=Light Color - Blue Component
DefaultValue=1.0
CurrentValue=1.000000

[SColZwP]
TabName=Zoom Window
SortName=aaa
Prompt=View Mode (0 for no Zoom, 1 for Auto, 2 for ZoomWindow)
DefaultValue=1.0
CurrentValue=1.000000

[SColZwR]
TabName=Zoom Window
SortName=bbb
Prompt=Color - Red Component
DefaultValue=0.0
CurrentValue=0.000000

[SColZwG]
TabName=Zoom Window
SortName=ccc
Prompt=Color - Green Component
DefaultValue=0.0
CurrentValue=0.000000

[SColZwB]
TabName=Zoom Window
SortName=ddd
Prompt=Color - Blue Component
DefaultValue=1.0
CurrentValue=1.000000

[Lights]
GroundLight
AmbientLight0
AmbientLight120
AmbientLight240

[GroundLight]
;Point,Spot,Directional,ParallelPoint
;Default:Directional
Type=Directional
ColorR=0.7*SColLtR
ColorG=0.7*SColLtG
ColorB=0.7*SColLtB
PositionX=0.0
PositionY=0.0
PositionZ=0.0
VectorX=0.0
VectorY=1.0
VectorZ=0.0

[AmbientLight0]
;Point,Spot,Directional,ParallelPoint
ColorR=0.9*SColLtR
ColorG=0.9*SColLtG
ColorB=0.9*SColLtB
PositionX=0.0
PositionY=0.0
PositionZ=0.0
VectorX=0.0
VectorY=-1.0
VectorZ=-1.0

[AmbientLight120]
;Point,Spot,Directional,ParallelPoint
ColorR=0.9*SColLtR
ColorG=0.9*SColLtG
ColorB=0.9*SColLtB
PositionX=0.0
PositionY=0.0
PositionZ=0.0
VectorX=0.866
VectorY=-1.0
VectorZ=0.5

[AmbientLight240]
;Point,Spot,Directional,ParallelPoint
ColorR=0.9*SColLtR
ColorG=0.9*SColLtG
ColorB=0.9*SColLtB
PositionX=0.0
PositionY=0.0
PositionZ=0.0
VectorX=-0.866
VectorY=-1.0
VectorZ=0.5

[Models]
UpperSky
Ground
Windmill
Runway

[UpperSky]
FileName=skycloudy.3dm
Static=1

[Ground]
FileName=mount06.3dm
Static=1

[Windmill]
FileName=Windmill\Windmill.3dm
Static=0
NoPhysics=1

[Runway]
FileName=runaway.3dm
Static=1

[SpawnList]
UpperSkyS
GroundS
R1
W1
W2
W3
W4
W5

[UpperSkyS]
ModelName=UpperSky
PositionX=0.0
PositionY=0.0
PositionZ=0.0
SpeedVectorX=0
SpeedVectorY=0.0
SpeedVectorZ=0
RotationX=0
RotationY=0
RotationZ=0
RotationSpeedX=0
RotationSpeedY=0
RotationSpeedZ=0

[GroundS]
ModelName=Ground
PositionX=0.0
PositionY=0.0
PositionZ=0.0
SpeedVectorX=0
SpeedVectorY=0.0
SpeedVectorZ=0
RotationX=0
RotationY=0
RotationZ=0
RotationSpeedX=0
RotationSpeedY=0
RotationSpeedZ=0

[R1]
ModelName=Runway
PositionX=0
PositionY=0.0
PositionZ=11
SpeedVectorX=0
SpeedVectorY=0.0
SpeedVectorZ=0
RotationX=0
RotationY=0
RotationZ=0
RotationSpeedX=0
RotationSpeedY=0
RotationSpeedZ=0

[W1]
ModelName=Windmill
PositionX=80
PositionY=36.133
PositionZ=200
SpeedVectorX=0
SpeedVectorY=0.0
SpeedVectorZ=0
RotationX=0
RotationY=0
RotationZ=0
RotationSpeedX=0
RotationSpeedY=0
RotationSpeedZ=0

[W2]
ModelName=Windmill
PositionX=-30
PositionY=36.133
PositionZ=200
SpeedVectorX=0
SpeedVectorY=0.0
SpeedVectorZ=0
RotationX=0
RotationY=0
RotationZ=0
RotationSpeedX=0
RotationSpeedY=0
RotationSpeedZ=0

[W3]
ModelName=Windmill
PositionX=-40
PositionY=36.133
PositionZ=-140
SpeedVectorX=0
SpeedVectorY=0.0
SpeedVectorZ=0
RotationX=0
RotationY=0
RotationZ=0
RotationSpeedX=0
RotationSpeedY=0
RotationSpeedZ=0

[W4]
ModelName=Windmill
PositionX=-50
PositionY=36.133
PositionZ=-20
SpeedVectorX=0
SpeedVectorY=0.0
SpeedVectorZ=0
RotationX=0
RotationY=0
RotationZ=0
RotationSpeedX=0
RotationSpeedY=0
RotationSpeedZ=0

[W5]
ModelName=Windmill
PositionX=120
PositionY=36.133
PositionZ=10
SpeedVectorX=0
SpeedVectorY=0.0
SpeedVectorZ=0
RotationX=0
RotationY=0
RotationZ=0
RotationSpeedX=0
RotationSpeedY=0
RotationSpeedZ=0

[MainModel]
FileName=c:\projects\fs\ergo30_05.3dm
PositionX=SMModLX
PositionY=SMModLY
PositionZ=SMModLZ
SpeedVectorX=SMModVX
SpeedVectorY=SMModVY
SpeedVectorZ=SMModVZ
RotationX=SMModRX
RotationY=SMModRY
RotationZ=SMModRZ
RotationSpeedX=SMModWX
RotationSpeedY=SMModWY
RotationSpeedZ=SMModWZ

[Viewer]
PositionX=SViewLX
PositionY=SViewLY
PositionZ=SViewLZ

[Winds]
LightWind
Thermal1

[LightWind]
PositionX=-25000.0
PositionY=0.0
PositionZ=0.0
OrientationX=1.0
OrientationY=0.0
OrientationZ=0.0
Radius=50000
Length=50000
WindVectorX=SWindWd
WindVectorY=0.0
WindVectorZ=0.0

[GroundEffect]
PositionX=0.0
PositionY=0.0
PositionZ=0.0
OrientationX=0.0
OrientationY=1.0
OrientationZ=0.0
Radius=50000
Length=1.0
WindVectorX=-SWindGE
WindVectorY=0.0
WindVectorZ=0.0

;;;;;;;;;;;;;;End;;;;;;;;;;;;;;